/********************************\

  init.v

  08/11/14   ver 0.1   S.Nishida

\*******************************/

module init( clk, reset, init_t, init_ );

input clk, reset, init_t;
output init_;

reg    init_;

reg [3:0] init_cnt;

always @(posedge clk or posedge reset) begin
    if( reset ) begin
	init_ <= 1'b1;
	init_cnt <= 0;
    end
    else begin
	if( init_t ) begin
	    init_ <= 1'b0;
	    init_cnt <= 7;
	end
	else begin
            if( init_cnt != 0 ) init_cnt <= init_cnt -1;
            else init_ <= 1'b1;
        end
    end
end

endmodule
