//----------------------------------
//  iostd_buf.v
//
//  11/09/05  ver 0.5   S.Nishida
//----------------------------------

// LVDS INPUT
module n6_ibuf_lvds33(I,IB,O);
input  I,IB;
output O;
IBUFDS #( .IOSTANDARD("LVDS_33") ) IBUFDS_inst( .I(I), .IB(IB), .O(O) );
endmodule

// LVDS OUTPUT
module n6_obuf_lvds33(O,OB,I);
output O,OB;
input  I;
OBUFDS #( .IOSTANDARD("LVDS_33") ) OBUFDS_inst( .O(O), .OB(OB), .I(I) );
endmodule
